# RTI::Exception Class Reference

`#include <RTI.hh>`

List of all members.

## Public Member Functions
| Exception (const char *reason)
| Exception (ULong serial, const char *reason)
| Exception (const Exception &toCopy)
virtual | ~Exception ()
Exception & | operator= (const Exception &)
virtual Exception * | cloneSelf () const =0 throw ()
virtual void | throwSelf () const =0
const std::string | displayMe () const
virtual long | getType ()=0
## Public Attributes
ULong | _serial
char * | _reason
const char * | _name

## Detailed Description

Definition at line 69 of file RTI.hh.

## Constructor & Destructor Documentation

Exception | ( | const char * | reason | ) |

Definition at line 200 of file RTItypes.cc.

References _reason, and _serial.

Exception | ( | ULong | serial,
|  | const char * | reason |
| ) |  |  |

Definition at line 206 of file RTItypes.cc.

References _reason, and _serial.

Exception | ( | const Exception & | toCopy | ) |

Definition at line 213 of file RTItypes.cc.

References _name, _reason, and _serial.

~Exception | ( |  | ) | `[virtual]`

Definition at line 193 of file RTItypes.cc.

References _reason.

## Member Function Documentation

RTI::Exception & operator= | ( | const Exception & | toCopy | ) |

Definition at line 220 of file RTItypes.cc.

References _name, _reason, and _serial.

virtual Exception* cloneSelf | ( |  | ) | const throw ()`[pure virtual]`

virtual void throwSelf | ( |  | ) | const`[pure virtual]`

const std::string displayMe | ( |  | ) | const

Definition at line 228 of file RTItypes.cc.

References _name, _reason, _serial, PD_RTIException, and pdExcept.

Referenced by operator<<().

virtual long getType | ( |  | ) | `[pure virtual]`

## Member Data Documentation

ULong _serial

Definition at line 72 of file RTI.hh.

Referenced by displayMe(), Exception(), and operator=().

char* _reason

Definition at line 73 of file RTI.hh.

Referenced by displayMe(), Exception(), operator=(), and ~Exception().

const char* _name

Definition at line 74 of file RTI.hh.

Referenced by displayMe(), Exception(), and operator=().

The documentation for this class was generated from the following files:

- RTI.hh
- RTItypes.cc